package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Shadow;
import com.brilliance.isc.vo.manager.ShadowVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ShadowMapper {

    int insert(Shadow record);

    int insertSelective(Shadow record);

    int updateByPrimaryKeySelective(Shadow record);

    int updateByPrimaryKey(Shadow record);

    int deleteByPrimaryKey(Shadow record);

    Shadow selectByPrimaryKey(Shadow record);

    List<Shadow> listFuzzyByRecord(ShadowVo record);

    List<Shadow> listFuzzyByBo(Shadow record);

    Shadow selectByLotNum(Shadow record);

}